<?php  global $themename, $input_prefix;

/*****************/
/* Theme Details */

$themename = "Done Deal";
$themeid = "donedeal";
$productid = "1370";
$presstrendsid = "g8dwpph0951z7v20zvza17apluzo6oia2";


/**********************/
/* Include OCMX files */
$include_folders = array("/ocmx/includes/", "/ocmx/theme-setup/", "/ocmx/widgets/", "/ocmx/front-end/", "/ajax/", "/ocmx/interface/");

// This is a hack, to avoid the "headers already sent by...." error which pops up when you call pages directly from wp-admin/ like edit.php for example	
include_once (get_template_directory()."/ocmx/folder-class.php");
include_once (get_template_directory()."/ocmx/load-includes.php");
include_once (get_template_directory()."/ocmx/custom.php");
include_once (get_template_directory()."/ocmx/seo-post-custom.php");
include_once (get_template_directory()."/ocmx/info-box-custom.php");
include_once (get_template_directory()."/ocmx/affiliate-custom.php");
include_once (get_template_directory()."/ocmx/price-block-custom.php");

/**********************/
/* "Hook" up the OCMX */
update_option("ocmx_font_support", true);
add_action('init', 'ocmx_add_scripts');
add_action('after_setup_theme', 'ocmx_setup');

/***********************/
/* Add OCMX Menu Items */

add_action('admin_menu', 'ocmx_add_admin');
function ocmx_add_admin() {
	global $wpdb;
	
	add_object_page("Theme Options", "Theme Options", 'edit_themes', basename(__FILE__), '', 'http://obox-design.com/images/ocmx-favicon.png');
	
	//Check if we need to upgrade the Gallery Table
	check_gallery_table();
	
	add_submenu_page(basename(__FILE__), "General Options", "General", "edit_theme_options", basename(__FILE__), 'ocmx_general_options');
	add_submenu_page(basename(__FILE__), "Home Page Layout", "Home Layout", "edit_theme_options",  "ocmx-home", 'ocmx_home_options');
	add_submenu_page(basename(__FILE__), "Typography", "Typography", "edit_theme_options", "ocmx-fonts", 'ocmx_font_options');
	add_submenu_page(basename(__FILE__), "Adverts", "Adverts", "edit_theme_options",  "ocmx-adverts", 'ocmx_advert_options');
	add_submenu_page(basename(__FILE__), "SEO Options", "SEO Options", "edit_theme_options", "ocmx-seo", 'ocmx_seo_options');
	add_submenu_page(basename(__FILE__), "Help", "Help", "edit_theme_options", "obox-help", 'ocmx_welcome_page');

	
};

/*****************/
/* Add Nav Menus */

if (function_exists('register_nav_menus')) :
	register_nav_menus( array(
		'primary' => __('Primary Navigation', '$themename'),
	) );
endif;


/***********************************************************************/
/* Set the parameters which allow the /interface/ folder to be included*/

function check_allow_ocmx(){
	if(
	   	!isset($_POST["ocmx_gallery_update"]) 
		&& (strpos($_SERVER['SCRIPT_FILENAME'], "admin.php") != null || strpos($_SERVER['SCRIPT_FILENAME'], "admin-ajax.php") != null && !isset($_POST['action']))
		&& is_user_logged_in()
	) :
		return true;
	else:
		return false;
	endif;
}

/*********************/
/* Load Localization */
load_theme_textdomain('ocmx', get_template_directory() . '/lang');

/**************************/
/* WP 3.4+ Support         */
global $wp_version;
if ( version_compare( $wp_version, '3.4', '>=' ) ) 
	add_theme_support( 'custom-background' ); 
	add_theme_support( 'post-thumbnails' ); 
	add_theme_support( 'automatic-feed-links' ); 
	
if ( ! isset( $content_width ) ) $content_width = 880;

function my_admin_scripts() {
	wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');
}

function my_admin_styles() {
	wp_enqueue_style('thickbox');
}

add_action('admin_print_scripts', 'my_admin_scripts');
add_action('admin_print_styles', 'my_admin_styles');

/**************************/
/* Set Up Thumbnails */
function ocmx_setup_image_sizes() {
	//image info: (name, width, height, force-crop)
	add_image_size('940x529', 940, 529, true);
	add_image_size('560x250', 560, 250, true);
	add_image_size('460x259', 460, 259, true);
	add_image_size('300x169', 300, 169, true);
	add_image_size('280x140', 280, 140, true);
	add_image_size('220x124', 220, 124, true);
	add_image_size('220auto', 220);
	add_image_size('300auto', 300);
	add_image_size('560auto', 560);

} 

add_action( 'after_setup_theme', 'ocmx_setup_image_sizes' );

/**************************/
/* Facebook Support      */
function get_fbimage() {
	global $post, $posts;
	$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), '', '' );
	if ( has_post_thumbnail($post->ID) ) {
		$fbimage = $src[0];
	} else {
	$fbimage = '';
	$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i',
	$post->post_content, $matches);
	$fbimage = $matches [1] [0];
	}
	if(empty($fbimage)) {
	$fbimage = get_the_post_thumbnail($post->ID);
	}
	return $fbimage;
}

/******************************************************************************/
/* Each theme has their own "No Posts" styling, so it's kept in functions.php */

function ocmx_no_posts(){ ?>
	<li class="post transparent-container">					
    <div class="content clearfix">
        <h3 class="post-title"><a href="#"><?php _e("Page Not Found"); ?></a></h3>
        <div class="post-meta clearfix"></div>
        <div class="copy <?php echo $image_class; ?>">
             <?php _e("The page you are looking for does not exist"); ?>
        </div>
	</div>
</li>
<?php 
}



/*****************************************************************************/
/* This Function Fetches the Post associated to the specified Page Template */
function get_template_link($page){
	global $wpdb;
	$get_meta = $wpdb->get_row("SELECT * FROM ".$wpdb->postmeta." WHERE `meta_key` = '_wp_page_template' AND  `meta_value` = '".$page."'");
	$post = get_post($get_meta->post_id);
	
	return $post;
}

function ocmx_get_the_term_list( $id = 0, $taxonomy, $before = '', $sep = '', $after = '' ) {
	$terms = get_the_terms( $id, $taxonomy );

	if ( is_wp_error( $terms ) )
		return $terms;

	if ( empty( $terms ) )
		return false;

	foreach ( $terms as $term ) {
		$link = get_term_link( $term, $taxonomy );
		if ( is_wp_error( $link ) )
			return $link;
		$term_links[] = '<span title="'.strip_tags($term->description).'">'.$term->name.'</span>';
	}

	$term_links = apply_filters( "term_links-$taxonomy", $term_links );

	return $before . join( $sep, $term_links ) . $after;
}