<?php 
// Custom fields for WP write panel
$info_box_meta = array(
		"secrondary_media" => array (
			"name"			=> "home_image",
			"default" 		=> "",
			"label" 		=> "Icon",
			"desc"      	=> "Choose the icon you'd like to use for the home page (48px wide or smaller).",
			"input_type"  	=> "image",
			"input_size"	=> "50",
			"img_width"		=> "50",
			"img_height"	=> "",
			"no_resize"	=> "1"),		
	);
function create_info_meta_box_ui() {
	global $post, $info_box_meta;
		$meta_count = 0;
?>
	<table class="info_box_metaboxes_table">
		<?php foreach ($info_box_meta as $metabox) :
			$info_box_metabox_value = get_post_meta($post->ID,$metabox["name"],true);
			
			if((get_post_type($post) != "info-box" && $metabox["name"] != "home_image") || get_post_type($post) == "info-box") :
				
				if ($info_box_metabox_value == "" || !isset($info_box_metabox_value)) :
					$info_box_metabox_value = $metabox['default'];
				endif; ?>
				
				<tr>
					<td width="20%" valign="top" class="obox_label">
						<label for="<?php echo $metabox; ?>"><?php echo $metabox["label"]; ?></label>
						<p><?php echo $metabox["desc"] ?></p>	
					</td>
					<td colspan="3">
						<?php if($metabox["input_type"] == "image") : ?>
							<div class="obox_main_image_upload">
								<p><strong>Select Image</strong></p>
								<div class="image_upload"><input type="file" name="<?php echo "obox_".$metabox["name"]."_file"; ?>" /></div>
								<p><strong>Image Path</strong></p>
								<?php if($info_box_metabox_value !== "") : ?>
									<input class="obox_input_text" type="text" name="<?php echo "obox_".$metabox["name"]; ?>" id="<?php echo $metabox ?>" value="<?php echo $info_box_metabox_value; ?>" size="<?php echo $metabox["input_size"] ?>" />
								<?php else : ?>
									<input class="obox_input_text" type="text" name="<?php echo "obox_".$metabox["name"]; ?>" />
								<?php endif; ?>
							</div>
							<?php if($info_box_metabox_value !== "") : ?>
								<p><strong>Image</strong></p>
								<div class="obox_main_image">
									<img src="<?php echo $info_box_metabox_value; ?>" />
								</div>
							<?php endif; ?>
						<?php elseif($metabox["input_type"] == "textarea") : ?>
							<textarea class="info_box_metabox_fields" style="width: 70%;" rows="8" name="<?php echo "obox_".$metabox["name"]; ?>" id="<?php echo "obox_".$metabox["name"]; ?>"><?php echo $info_box_metabox_value; ?></textarea>
						<?php else : ?>
							<input class="info_box_metabox_fields" type="text" name="<?php echo "obox_".$metabox["name"]; ?>" id="<?php echo "obox_".$metabox["name"]; ?>" value="<?php echo $info_box_metabox_value; ?>" size="<?php echo $metabox["input_size"] ?>" />
						<?php endif; ?>                
						
					</td>
				</tr>
			<?php endif;
		endforeach; ?>
    </table>
    <br />    
<?php
}
function insert_info_box_metabox($pID) {
	global $info_box_meta, $use_file_field, $set_width, $set_height, $image_name, $upload, $info_box_meta_added;

	$i = 0;
	if(!isset($info_box_meta_added)) :
		foreach ($info_box_meta as $metabox) {
			$var = "obox_".$metabox["name"];
			if (isset($_POST[$var])) :
				if($metabox["input_type"] == "image") :
					$use_file_field = $var."_file";				
					/* Check if we've actually selected a file */
					
					if($_FILES[$use_file_field]["name"] != "") :				
						$id = media_handle_upload($use_file_field, $postId);           
						if($metabox["name"] == "home_image") :
	                    	set_post_thumbnail($postId, $id);
	                    endif;
	                    $attachment = wp_get_attachment_image_src( $id, "full");	
						//Update Post Meta
						add_post_meta($postId, $metabox["name"], $attachment[0],true) or update_post_meta($postId,  $metabox["name"], $attachment[0]);
					else :
						//Update Post Meta
						add_post_meta($postId,$metabox["name"],$_POST[$var],true) or update_post_meta($postId,$metabox["name"], $_POST[$var]);
					endif;
				else :
					add_post_meta($postId,$metabox["name"],$_POST[$var],true) or update_post_meta($postId,$metabox["name"],$_POST[$var]);				
				endif;
			endif;
		}
		$info_box_meta_added = 1;
	endif;
}

add_action('save_post', 'insert_info_box_metabox');
add_action('publish_post', 'insert_info_box_metabox');  ?>