<?php /***************************************************************/
/* Features Post Type Custom Meta, here used to add a category */
$sub_title_meta = array(
	array("label" => "Mark as Preferred Choice", "name" => "preferedchoice", "default" => false, "type" => "checkbox"),
	array("label" => "Sub-Title", "name" => "subtitle"),
	array("label" => "Price", "name" => "price"),
	array("label" => "Link", "name" => "link"),
	array("label" => "Call To Action", "name" => "label", "default" => get_option("ocmx_default_purchase_text"))
);

function create_priceblock_meta() {
	global $post, $sub_title_meta;
	foreach($sub_title_meta as $meta=>$value) : 
		$meta_value= get_post_meta($post->ID,$value["name"],true);
		if($meta_value == "") :
			$meta_value= $value["default"];
		endif;
		?>
		<p>
        	<label for="<?php echo $value["name"]; ?>">
            	<?php if($value["type"] == "checkbox") : ?>
                    <input type="checkbox" name="<?php echo $value["name"]; ?>" id="<?php echo $value["name"]; ?>" <?php if($meta_value == "on") : ?>checked="checked"<?php endif; ?> />
					<?php echo $value["label"]; ?>
                <?php else :?>
					<?php echo $value["label"]; ?>
                    <input name="<?php echo $value["name"]; ?>" id="<?php echo $value["name"]; ?>" value="<?php echo $meta_value; ?>" class="widefat" />
				<?php endif; ?>
            </label>
		</p>
	<?php endforeach; ?>
<?php 
}
function insert_priceblock_meta($pID) {
	global $price_meta_added, $sub_title_meta;
	if(!isset($price_meta_added)) :
		foreach($sub_title_meta as $meta=>$value) :
			$var = $value["name"];
			if($_POST[$var]) :
				add_post_meta($pID,$value["name"],$_POST[$var],true) or update_post_meta($pID,$value["name"],$_POST[$var]);
			elseif($value["type"] == "checkbox") :
				delete_post_meta($pID,$value["name"]);
			endif;
		endforeach;
		$price_meta_added = 1;
	endif;
}

function add_priceblock_meta() {
	add_meta_box('obox-custom-type-cats','Item Details','create_priceblock_meta','pricing','side');
}

add_action('admin_menu', 'add_priceblock_meta');
add_action('save_post', 'insert_priceblock_meta'); ?>