<?php add_action( "init", "add_gallery_post_type" );
function add_gallery_post_type() {
  	register_post_type("ocmx_gallery", 
		array("labels" => array(
						"name" => __( "Gallery" ),
						"singular_name" => __( "Gallery" ),
						"rewrite" => array("slug" => "gallery")
					),
			"query_var" => true,
    		"rewrite" => true,
	    	"capability_type" => "post",
			"public" => true,
			"show_ui" => false)
	);
} 

add_action( "init", "add_quotes_post_type" );
function add_quotes_post_type() {
  	register_post_type("quotes", 
		array("labels" => array(
						"name" => __( "Quotes" ),
						"singular_name" => __( "Quotes" ),
						"rewrite" => array("slug" => "quote")
					),
			"query_var" => true,
    		"rewrite" => true,
	    	"capability_type" => "post",
			'supports' => array('title','excerpt'),
			"public" => true,
			"show_ui" => true)
	);
}

add_action('init', 'my_custom_init');
function my_custom_init() {
  add_post_type_support( 'quotes', 'excerpt' );
}


add_filter("manage_edit-quotes_columns", "my_quotes_columns");
add_action("manage_posts_custom_column",  "quote_custom_columns");
function my_quotes_columns($columns)
{
	$columns = array(
		"title" => "Source"
	);
	return $columns;
}

function quote_custom_columns($column){
		global $post;
		switch ($column)
		{
			case "title":
				the_title();
				break;
		}
}

?>