<?php
add_action('init', 'my_custom_init_pricing');
function my_custom_init_pricing() 
{
  $labels = array(
    'name' => _x('Pricing Block', 'post type general name'),
    'singular_name' => _x('Pricing Block', 'post type singular name'),
    'add_new' => _x('Add Pricing Block', 'pricing'),
    'add_new_item' => __('Add New Pricing'),
    'edit_item' => __('Edit '),
    'new_item' => __('New Pricing Block'),
    'view_item' => __('View Pricing Block'),
    'search_items' => __('Search Pricing Blocks'),
    'not_found' =>  __('No pricing block found'),
    'not_found_in_trash' => __('No pricing block found in Trash'), 
    'parent_item_colon' => ''
  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'hierarchical' => false,
    'menu_position' => null,
    'supports' => array('title', 'excerpt','comments')
  ); 
  register_post_type('pricing',$args);
	
	/***************************************************************/
	/* Affiliates Post Type Custom Meta, here used to add a category */
	 $labels = array(
		'name' => _x( 'Features', 'taxonomy general name' ),
		'singular_name' => _x( 'Feature', 'taxonomy singular name' ),
		'search_items' =>  __( 'Search Features' ),
		'popular_items' => __( 'Popular Features' ),
		'all_items' => __( 'All Features' ),
		'parent_item' => null,
		'parent_item_colon' => null,
		'edit_item' => __( 'Edit Feature' ), 
		'update_item' => __( 'Update Feature' ),
		'add_new_item' => __( 'Add New Feature' ),
		'new_item_name' => __( 'New Feature Name' ),
		'separate_items_with_commas' => __( 'Separate features with commas' ),
		'add_or_remove_items' => __( 'Add or remove features' ),
		'choose_from_most_used' => __( 'Choose from the most used features' ),
		'menu_name' => __( 'Features' ),
	  ); 
	
	register_taxonomy( 'pricing-category', 'pricing', array( 'hierarchical' => true, 'labels' => $labels, 'query_var' => true, 'rewrite' => true ) );  
}

//add filter to insure the text Affiliate, or pricing, is displayed when user updates a pricing 
add_filter('post_updated_messages', 'pricing_updated_messages');
function pricing_updated_messages( $messages ) {

  $messages['pricing'] = array(
    0 => '', // Unused. Messages start at index 1.
    1 => sprintf( __('Pricing updated. <a href="%s">View pricing</a>'), esc_url( get_permalink($post_ID) ) ),
    2 => __('Custom field updated.'),
    3 => __('Custom field deleted.'),
    4 => __('Pricing updated.'),
    /* translators: %s: date and time of the revision */
    5 => isset($_GET['revision']) ? sprintf( __('Pricing restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
    6 => sprintf( __('Pricing published. <a href="%s">View pricing</a>'), esc_url( get_permalink($post_ID) ) ),
    7 => __('Pricing saved.'),
    8 => sprintf( __('Pricing submitted. <a target="_blank" href="%s">Preview pricing</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
    9 => sprintf( __('Pricing scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview pricing</a>'),
      // translators: Publish box date format, see http://php.net/date
      date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
    10 => sprintf( __('Pricing draft updated. <a target="_blank" href="%s">Preview pricing</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
  );

  return $messages;
}

?>
