<?php
class blog_widget extends WP_Widget {
    /** constructor */
    function blog_widget() {
        parent::WP_Widget(false, $name = "(Obox) Blog List", array("description" => "Home Page Widget - Display posts from a specific category in a single-column blog format."));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		

		// Turn $instance array into variables
        $instance_defaults = array ( 'title' => '');
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP );
		
		$use_category = $instance["post_category"];
		if($use_category == "0") :
			$use_cat = 0;
			$cat_title = "no";
		else :
			$use_cat = get_category_by_slug($use_category);
			$catlink = get_category_link($use_cat->term_id);		
			$cat_id = "cat=".$use_cat->term_id."&";
			$the_cat_title = $use_cat->name;
		endif;
		//Set the post Aguments and Query accordingly
		$count = 0;
		$numposts = 0;
		$ocmx_posts = new WP_Query($cat_id."&posts_per_page=".$post_count);
		if(isset($title) && $title != "") : ?>
        	<h4 class="section-title"><a href="<?php echo $catlink; ?>"><?php echo $title; ?></a></h4>
        <?php endif; ?>
		<ul id="double-column">    
            <li id="left-column" class="content">		
                <h4 class="section-title"><?php echo single_cat_title(); ?></h4>
                <ul class="blog-main-post-container">
                    <?php if ($ocmx_posts->have_posts()) :
                       global $post;
                        while ($ocmx_posts->have_posts()) :	$ocmx_posts->the_post(); setup_postdata($post);
                            get_template_part("/functions/fetch-list");
                        endwhile;
                    else :
                        ocmx_no_posts();
                    endif; ?>
                </ul>
                <?php ocmx_pagination("clearfix", "pagination clearfix"); ?>
            </li>
		<?php get_sidebar(); ?>
    	</ul>
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
	    // Turn $instance array into variables
        $instance_defaults = array ( 'title' => '');
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP ); ?>
        
        <p><label for="<?php echo $this->get_field_id('title'); ?>">Title<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
        <p>
            <label for="<?php echo $this->get_field_id('post_count'); ?>">Post Count</label>
            <select size="1" class="widefat" id="<?php echo $this->get_field_id('post_count'); ?>" name="<?php echo $this->get_field_name('post_count'); ?>">
                <?php for($i = 1; $i <= 12; $i++) : ?>
                    <option <?php if(isset($post_count) && $post_count == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                <?php endfor; ?>
            </select>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('post_category'); ?>">Category
               <select size="1" class="widefat" id="<?php echo $this->get_field_id("post_category"); ?>" name="<?php echo $this->get_field_name("post_category"); ?>">
                    <option <?php if(isset($post_count) && $post_count == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
                    <?php
                            $category_args = array('hide_empty' => false);
                            $option_loop = get_categories($category_args);
                            foreach($option_loop as $option_label => $value)
                                { 	
                                    // Set the $value and $label for the options
                                    $use_value =  $value->slug;
                                    $label =  $value->cat_name;
                                    //If this option == the value we set above, select it
                                    if($use_value == $post_category)
                                        {$selected = " selected='selected' ";}
                                    else
                                        {$selected = " ";}
                    ?>
                                    <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
                    <?php 
                                }
                    ?>
                </select>
            </label>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('show_images'); ?>">
                <input type="checkbox" <?php if(isset($show_images) && $show_images == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_images'); ?>" name="<?php echo $this->get_field_name('show_images'); ?>">
                Show Images
            </label>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('show_excerpts'); ?>">
                <input type="checkbox" <?php if(isset($show_excerpts) && $show_excerpts == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_excerpts'); ?>" name="<?php echo $this->get_field_name('show_excerpts'); ?>">
                Show Excerpts
            </label>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('show_dates'); ?>">
                <input type="checkbox" <?php if(isset($show_dates) && $show_dates == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_dates'); ?>" name="<?php echo $this->get_field_name('show_dates'); ?>">
                Show Meta
            </label>
        </p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("blog_widget");'));
?>