<?php
class call_to_action_widget extends WP_Widget {
    /** constructor */
    function call_to_action_widget() {
        parent::WP_Widget(false, $name = "(Obox) Call to Action", array("description" => "Home Page Widget - Display a message with buttons linking to any page or post."));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		

		// Turn $instance array into variables
        $instance_defaults = array ( 'title' => '');
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP );
?>											
		
                
        <div id="feature-action-container">
            <div id="feature-action">
                <?php if( isset($title) && $title !="" ) : ?><h2 class="typography-title"><?php echo $instance['title']; ?></h2><?php endif; ?>
                <!--Left Button -->
                <?php $this_button = get_page($button_one); 
					if( isset($button_one) && $button_one != "") : ?>
                	<a href="<?php if($button_one != "" && $button_one != "external") {echo get_permalink($button_one);} else {echo $button_one_link;}  ?>" class="action-1"><span><?php if( isset($button_one_title) && $button_one_title !="") { echo $button_one_title; } else { echo $this_button->posttitle; } ?></span></a>
				<?php endif; ?>

                <!--Right Button -->
                <?php $this_button = get_page($button_two); 
					if( isset($button_two) && $button_two != "") : ?>
                    <!--Divider -->
                    <span class="or"><?php _e("or", "ocmx"); ?></span>
                	<a href="<?php if($button_two != "" && $button_two != "external") {echo get_permalink($button_two);} else {echo $button_two_link;}?>" class="action-2"><span><?php if( isset($button_two_title) &&  $button_two_title !="") { echo $button_two_title; } else { echo $this_button->posttitle;  } ?></span></a>
				<?php endif; ?>
                
            </div>
        </div>
        
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		 // Turn $instance array into variables
        $instance_defaults = array ( 'title' => '', 'button_one' => '', 'button_one_link' => '', 'button_one_title' => '', 'button_two' => '', 'button_two_link' => '', 'button_two_title' => '');
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP ); 
		$pages = get_pages(); ?>
      
		<p><?php _e("Click Save if you select External to load the link field.", "ocmx"); ?></p>
		<p><label for="<?php echo $this->get_field_id('title'); ?>">Intro Text<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
        <p>
        	<label for="<?php echo $this->get_field_id('button_one'); ?>">
				<?php _e("Left Button"); ?>
                <select size="1" class="widefat" id="<?php echo $this->get_field_id("button_one"); ?>" name="<?php echo $this->get_field_name("button_one"); ?>" rel="button_one_external">
                    <option <?php if($button_one == ""){echo "selected=\"selected\"";} ?> value="">Hide</option>
                    <option <?php if($button_one == "external"){echo "selected=\"selected\"";} ?> value="external">External</option>
                    <?php foreach($pages  as $this_page) : ?>
                    	<?php $selected = "";
						if($button_one == $this_page->ID)
							{$selected = " selected='selected' ";} ?>
						<option <?php echo $selected; ?> value="<?php echo $this_page->ID; ?>"><?php echo $this_page->post_title; ?></option>
                    <?php endforeach;?>
                </select>
			</label>
		</p>
        
        <p><label for="button_one_title">Button Text<input type="text" class="widefat" name="<?php echo $this->get_field_name('button_one_title'); ?>" value="<?php echo $button_one_title; ?>"  /></label></p>
        <div  class="button_one_external" <?php if($button_one != "external") : ?>style="display: none;"<?php endif; ?>>
        	<p><label for="button_one_link">Link <textarea class="widefat" name="<?php echo $this->get_field_name('button_one_link'); ?>"><?php echo $button_one_link; ?></textarea></label></p>
		</div>
        <p>
        	<label for="<?php echo $this->get_field_id('button_two'); ?>">
				<?php _e("Right Button"); ?>
                <select size="1" class="widefat" id="<?php echo $this->get_field_id("button_two"); ?>" name="<?php echo $this->get_field_name("button_two"); ?>" rel="button_two_external">
                    <option <?php if($button_two == ""){echo "selected=\"selected\"";} ?> value="">Hide</option>
                    <option <?php if($button_two == "external"){echo "selected=\"selected\"";} ?> value="external">External</option>
                    <?php foreach($pages  as $this_page) : ?>
                    	<?php $selected = "";
						if($button_two == $this_page->ID)
							{$selected = " selected='selected' ";} ?>
						<option <?php echo $selected; ?> value="<?php echo $this_page->ID; ?>"><?php echo $this_page->post_title; ?></option>
                    <?php endforeach;?>
                </select>
			</label>
		</p>

        <p><label for="button_two_title">Button<input type="text" class="widefat" name="<?php echo $this->get_field_name('button_two_title'); ?>" value="<?php echo $button_two_title; ?>" /></label></p>
        <div  class="button_two_external" <?php if($button_two != "external") : ?>style="display: none;"<?php endif; ?>>
        	<p><label for="button_two_link">Link <textarea class="widefat" name="<?php echo $this->get_field_name('button_two_link'); ?>"><?php echo $button_two_link; ?></textarea></label></p>
		</div>
       
<?php 
	} // form

}// class

add_action('widgets_init', create_function('', 'return register_widget("call_to_action_widget");'));

?>