<?php
class ocmx_info_box_widget extends WP_Widget {
    /** constructor */
    function ocmx_info_box_widget() {
        parent::WP_Widget(false, $name = "(Obox) Info Boxes", array("description" => "Home Page Widget - Lists the latest Info Boxes in four columns."));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );

		// Turn $instance array into variables
        $instance_defaults = array ( 'title' => '');
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP );
		
		//Set the post Aguments and Query accordingly
		$count = 0;
		$numposts = 0;
		$ocmx_posts = new WP_Query("post_type=info-box&posts_per_page=".$post_count."&order=ASC"); ?>
        
     <div class="content-block">
          <ul class="content four-column">
            <?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
				global $post;				
				$args  = array( 'postid' => $post->ID, 'width' => 220, 'hide_href' => false, 'exclude_video' => true, 'wrap' => 'div', 'wrap_class' => 'feature-icon fitvid', 'resizer' => '220auto' );
				$image = get_obox_media( $args );
				$link = get_post_meta($post->ID, "info_box_link", true);
				if($link == "")
					$link = get_permalink($post->ID);?>
                 <li class="column">
				 	<?php if ($image !== "") { echo $image; } ?>
	                   
                    <h3 class="post-title"><a href="<?php echo $link; ?>"><?php echo $post->post_title; ?></a></h3> 
                     
                    <p>
                        <?php if($post->post_excerpt !== "") :
                            echo $post->post_excerpt; 
                        else :
                            echo $post->post_content;
                        endif;?>
                    </p>
                </li>
            <?php endwhile; ?>
        </ul>
	</div>   
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		
		// Turn $instance array into variables
        $instance_defaults = array ( 'title' => '', 'post_count' => 4);
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP );
?>

            <p>
                <label for="<?php echo $this->get_field_id('post_count'); ?>">Post Count</label>
                <select size="1" class="widefat" id="<?php echo $this->get_field_id('post_count'); ?>" name="<?php echo $this->get_field_name('post_count'); ?>">
                    <?php $i = 4;
                    for($i = 4; $i < 13; $i=($i+4)) :?>
                        <option <?php if($post_count == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                    <?php endfor; ?>
                </select>
            </p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("ocmx_info_box_widget");'));

?>