<?php
class ocmx_pricing_block_widget extends WP_Widget {
    /** constructor */
    function ocmx_pricing_block_widget() {
        parent::WP_Widget(false, $name = "(Obox) Pricing Blocks", array("description" => "Home Page Widget -Lists your custom Pricing Blocks on the home page."));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
		$post_count = esc_attr($instance["post_count"]);
		$title = esc_attr($instance["title"]);
		$excerpt = $instance["excerpt"];
		
		//Set the post Aguments and Query accordingly
		$count = 0;
		$numposts = 0;
		$ocmx_posts = new WP_Query("post_type=pricing&order=ASC&posts_per_page=".$post_count); ?>
        <div class="content-block">
                <?php if($title != "" || $excerpt != "") :?>
                    <div class="content section-block">        
                        <?php if($title != "") :?>
                            <h2><?php echo $title; ?></h2>
                        <?php endif; ?>
                        <?php if($excerpt != "") :?>
                            <p><?php echo $excerpt; ?></p>            
                        <?php endif; ?>
                    </div>
            	<?php endif; ?>
            <div class="content">
                <ul class="price-block">  
					<?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
                        global $post;
						$price = get_post_meta($post->ID, "price", true);
						$subtitle = get_post_meta($post->ID, "subtitle", true);
						$link = get_post_meta($post->ID, "link", true);
						$call_to_action = get_post_meta($post->ID, "label", true);
						$preferedchoice = get_post_meta($post->ID, "preferedchoice", true);
						if($link == "")
	                        $link = get_permalink($post->ID); ?>      
                            
                        <li class="column <?php if($preferedchoice == "on") : ?>preferred<?php endif; ?>">
                            <h4><?php the_title(); ?></h4>
                            <p class="description"><?php echo $subtitle; ?></p>
                            <ul class="price-details">
                            	 <?php echo ocmx_get_the_term_list( $post->ID, 'pricing-category', '<li>', '</li><li>', '</li>' ); ?> 
                                <li class="price">
                                    <?php echo $price; ?>
                                    <a href="<?php echo $link; ?>" class="sign-up"><?php echo $call_to_action; ?></a>
                                </li>
                            </ul>
                        </li>
                    <?php endwhile; ?>
                </ul>
            </div>
            </div>
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		$title = esc_attr($instance["title"]);
		$excerpt = esc_attr($instance["excerpt"]);
		$post_count = esc_attr($instance["post_count"]);
?>
	<p><label for="<?php echo $this->get_field_id('title'); ?>">Title<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
	<p><label for="<?php echo $this->get_field_id('excerpt'); ?>">Excerpt</label>
       <textarea class="widefat" name="<?php echo $this->get_field_name('excerpt'); ?>"><?php echo $excerpt; ?></textarea>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('post_count'); ?>">Post Count</label>
        <select size="1" class="widefat" id="<?php echo $this->get_field_id('comment_count'); ?>" name="<?php echo $this->get_field_name('post_count'); ?>">
            <?php $i = 4;
			while($i < 17) :?>
				<option <?php if($post_count == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
			<?php $i=($i+4);
			endwhile; ?>
        </select>
    </p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("ocmx_pricing_block_widget");'));

?>