<?php
class ocmx_products_widget extends WP_Widget {
    /** constructor */
    function ocmx_products_widget() {
        parent::WP_Widget(false, $name = "(Obox) Products", array("description" => "Home Page Widget - Lists product posts relating to the selected category."));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
		$post_count = esc_attr($instance["post_count"]);
		$title = esc_attr($instance["title"]);
		$excerpt = $instance["excerpt"];
		$show_images = esc_attr($instance["show_images"]);
		$show_excerpts = esc_attr($instance["show_excerpts"]);
		
		//Set the post Aguments and Query accordingly
		$count = 0;
		$numposts = 0;
		$ocmx_posts = new WP_Query("post_type=affiliate&posts_per_page=".$post_count); 
		while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
			$numposts++;
		endwhile; ?>
        <div class="content-block">
            <div class="content section-block">        
                <h2><?php echo $title; ?></h2>            
                <p><?php echo $excerpt; ?></p>
            </div>
            <div class="content">
                <ul class="products-list clearfix">
                    <?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
                        global $post;					
                        $affiliate_price = get_post_meta($post->ID, "affiliate_price", true);
                        $affiliate_link = get_post_meta($post->ID, "affiliate_link", true);
                        $purchase_label = get_post_meta($post->ID, "purchase_label", true);								
                       	$link = get_permalink($post->ID);  
						$args  = array( 'postid' => $post->ID, 'width' => 300, 'height' => 169, 'hide_href' => false, 'exclude_video' => true, 'wrap' => 'div', 'wrap_class' => 'products-image fitvid', 'resizer' => '300x169' );
						$image = get_obox_media( $args );
                        if($show_images != "on" || $image == "") : $maxlen = 90; else : $maxlen = 75; endif;  ?>
                        <li>
                            <?php if($show_images == "on" && $image !="") { echo $image; } ?>
                            <h4><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h4>					
                            <a href="<?php echo $affiliate_link; ?>" class="action-button" rel="nofollow" target="_blank"><?php echo $purchase_label; ?></a>
                            <h5><?php if($affiliate_price != "") : echo $affiliate_price; else : echo "&nbsp;"; endif; ?></h5>
                            <?php if($show_excerpts == "on") :
                                if($post->post_excerpt != "") :
                                    echo "<p>".substr(strip_tags($post->post_excerpt), 0, $maxlen)."...</p>";
                                else :
                                    the_content("");
                                endif;
                            endif; ?>
                        </li>				
                    <?php endwhile; ?>
                </ul>
            </div>
		</div>
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		$title = esc_attr($instance["title"]);
		$excerpt = esc_attr($instance["excerpt"]);
		$post_count = esc_attr($instance["post_count"]);
		$show_images = esc_attr($instance["show_images"]);
		$show_excerpts = esc_attr($instance["show_excerpts"]);
?>
	<p><label for="<?php echo $this->get_field_id('title'); ?>">Title<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
	<p><label for="<?php echo $this->get_field_id('excerpt'); ?>">Excerpt</label>
       <textarea class="widefat" name="<?php echo $this->get_field_name('excerpt'); ?>"><?php echo $excerpt; ?></textarea>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('post_count'); ?>">Post Count</label>
        <select size="1" class="widefat" id="<?php echo $this->get_field_id('comment_count'); ?>" name="<?php echo $this->get_field_name('post_count'); ?>">
            <?php $i = 3;
			while($i < 13) :?>
				<option <?php if($post_count == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
			<?php $i=($i+3);
			endwhile; ?>
        </select>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('show_images'); ?>">
            <input type="checkbox" <?php if($show_images == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_images'); ?>" name="<?php echo $this->get_field_name('show_images'); ?>">
            Show Images
        </label>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('show_excerpts'); ?>">
            <input type="checkbox" <?php if($show_excerpts == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_excerpts'); ?>" name="<?php echo $this->get_field_name('show_excerpts'); ?>">
            Show Excerpts
        </label>
    </p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("ocmx_products_widget");'));

?>