<?php
class feature_posts_widget extends WP_Widget {
    /** constructor */
    function feature_posts_widget() {
        parent::WP_Widget(false, $name = "(Obox) Slider", array("description" => "Home Page Widget - Display 5 latest posts and images from a specific category"));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );

	    if(isset($instance["posttype"]))
			$posttype = esc_attr($instance["posttype"]);
	    if(isset($instance["affiliate_category"]))
	    	$affiliate_category = $instance["affiliate_category"];
		if(isset($instance["post_category"]))
		    $use_category = $instance["post_category"];
		if(isset($instance["auto_interval"]))
		    $auto_interval = $instance["auto_interval"];
		
		$cat_id = "";
		if(isset($instance["affiliate_category"]) && $instance["affiliate_category"] != "0") :
			$cat_id = "affiliate-category=".$affiliate_category."&";
		elseif(isset($use_category)) :		
			$use_cat = get_category_by_slug($use_category);
			$cat_id = "cat=".$use_cat->term_id."&";
			$the_cat_title = $use_cat->name;
		else :
			$cat_id = 0;
		endif;
		if(isset($instance["post_thumb"]))
			$post_thumb = $instance["post_thumb"];
		if(isset($post_thumb) && $post_thumb == "true"):
			$post_thumb = 1;
		else :
			$post_thumb = 0;		
		endif;
		
		$ocmx_posts = new WP_Query($cat_id."posts_per_page=5&post_type=".$posttype);
		//Set the post Aguments and Query accordingly
		$count = 1; ?>   
  	<div class="slider clearfix">
		<ul class="gallery-container">
   			<?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
                global $post;		
				$affiliate_price = get_post_meta($post->ID, "affiliate_price", true);
				$affiliate_link = get_post_meta($post->ID, "affiliate_link", true);
				$purchase_label = get_post_meta($post->ID, "purchase_label", true);	
				if($posttype =="product" && isset($purchase_label) && $purchase_label == "") :
					$purchase_label = _("Purchase", "ocmx"); 
				endif;	
				$args  = array( 'postid' => $post->ID, 'width' => 300, 'hide_href' => false, 'exclude_video' => $post_thumb, 'resizer' => '300auto' );
				$image = get_obox_media( $args );
                $link = get_permalink($post->ID); ?>           		
                <li <?php if($count !== 1) : ?>class="no_display"<?php endif; ?>>
					<?php if($image !="") { ?>
                        <div class="post-image fitvid">
                        	<?php echo $image; ?>
                        </div>
                    <?php } ?>
                    <div class="slider-content">
                        <h3 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
                        <?php if($post->post_excerpt != "") :
                            the_excerpt();
                        else :
                            the_content();
                        endif; ?>
                        <?php if($posttype =="affiliate") : ?>
                        	<!--Price -->
                            <h5 class="price"><?php if($affiliate_price != "") : echo $affiliate_price; else : echo "&nbsp;"; endif; ?></h5>
                            <!--Buy Button -->				
                            <a href="<?php echo $affiliate_link; ?>" class="action-2" rel="nofollow" target="_blank"><span><?php echo $purchase_label; ?></span></a>
						<?php endif; ?> 
					</div>
     			</li>
            <?php 
                $count++;
            endwhile; ?>
        </ul>
		<?php if($auto_interval == 0 || $auto_interval =="") : ?>
        <ul class="gallery-slider-links">
			<?php $count = 0;
			while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
		   		$title_len = strlen($post->post_title);
				if($title_len > 22) 
					{$content_len  = 45;}
				else
					{$content_len  = 60;}
		   ?>           		
             <li <?php if($count == 0) : ?>class="selected"<?php endif; ?>>
             	<a href="#" rel="<?php echo $count; ?>">
					<strong><?php the_title(); ?></strong>
                    <?php if($posttype != "affiliate") : ?>
						<?php if($post->post_excerpt != "") :
                            echo substr(strip_tags($post->post_excerpt), 0, $content_len);
                        else :
                          echo the_excerpt('...');
                        endif; ?>...
                    <?php endif; ?>
                </a>
             </li>
            <?php 
                $count++;
            endwhile; ?>    
        </ul>
        <?php endif; ?>
        <div id="slider-number-<?php echo $use_category; ?>" class="no_display">0</div>
        <div id="slider-auto-<?php echo $use_category; ?>" class="no_display"><?php echo $auto_interval; ?></div>
</div>
    
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		if(isset($instance["posttype"]))
			$posttype = esc_attr($instance["posttype"]); 
	    if(isset($instance["affiliate_category"]))
	    	$affiliate_category = $instance["affiliate_category"];
		if(isset($instance["post_thumb"]))
			$post_thumb = $instance["post_thumb"];
		if(isset($instance["auto_interval"]))
		    $auto_interval = $instance["auto_interval"];
?>
<p><?php _e("Click Save after selecting a display type to load categories", "ocmx"); ?></p>      	
<p><label for="<?php echo $this->get_field_id('posttype'); ?>">Display</label>
           <select size="1" class="widefat" id="<?php echo $this->get_field_id("posttype"); ?>" name="<?php echo $this->get_field_name("posttype"); ?>">
                <option <?php if(isset($posttype) && $posttype != "affiliate"){echo "selected=\"selected\"";} ?> value="post">Blog Posts</option>
                <option <?php if(isset($posttype) && $posttype == "affiliate"){echo "selected=\"selected\"";} ?> value="affiliate">Products</option>
            </select>
        </p>
        
	<?php if(isset($posttype) && $posttype != "affiliate") : ?>
        <p><label for="<?php echo $this->get_field_id('post_category'); ?>">Posts Category</label>
           <select size="1" class="widefat" id="<?php echo $this->get_field_id("post_category"); ?>" name="<?php echo $this->get_field_name("post_category"); ?>">
                <option <?php if(isset($post_category) == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
                <?php
                        $category_args = array('hide_empty' => false);
                        $option_loop = get_categories($category_args);
                        foreach($option_loop as $option_label => $value)
                            { 	
                                // Set the $value and $label for the options
                                $use_value =  $value->slug;
                                $label =  $value->cat_name;
                                //If this option == the value we set above, select it
                                if($use_value == $instance["post_category"])
                                    {$selected = " selected='selected' ";}
                                else
                                    {$selected = " ";}
                ?>
                                <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
                <?php 
                            }
                ?>
            </select>
        </p>
    <?php else : ?>
        <p><label for="<?php echo $this->get_field_id('affiliate_category'); ?>">Products Category</label>
           <select size="1" class="widefat" id="<?php echo $this->get_field_id("affiliate_category"); ?>" name="<?php echo $this->get_field_name("affiliate_category"); ?>">
                <option <?php if(isset($affiliate_category) && $affiliate_category == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
                <?php
                        $cat_list = get_terms("affiliate-category", "orderby=count&hide_empty=0");
                        foreach($cat_list as $option_label => $value)
                            { 	
                                // Set the $value and $label for the options
                                $use_value =  $value->slug;
                                $label =  $value->name;
                                //If this option == the value we set above, select it
                                if($use_value == $instance["affiliate_category"])
                                    {$selected = " selected='selected' ";}
                                else
                                    {$selected = " ";}
                ?>
                                <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
                <?php 
                            }
                ?>
            </select>
        </p>
    <?php endif; ?>
        <p>
	        <label for="<?php echo $this->get_field_id('post_thumb'); ?>">Thumbnails</label>
	        <select size="1" class="widefat" id="<?php echo $this->get_field_id('post_thumb'); ?>" name="<?php echo $this->get_field_name('post_thumb'); ?>">
					<option <?php if(isset($post_thumb) && $post_thumb == "true") : ?>selected="selected"<?php endif; ?> value="true">Post Feature Image</option>
					<option <?php if(isset($post_thumb) && $post_thumb == "false") : ?>selected="selected"<?php endif; ?> value="false">Videos</option>
	        </select>
	    </p>      
         <p><label for="<?php echo $this->get_field_id('auto_interval'); ?>">Auto Slide Interval (seconds)<input class="shortfat" id="<?php echo $this->get_field_id('auto_interval'); ?>" name="<?php echo $this->get_field_name('auto_interval'); ?>" type="text" value="<?php if(isset($auto_interval)) echo $auto_interval;  ?>" /><br /><em>(Set to 0 for no auto-sliding)</em></label></p> 
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("feature_posts_widget");'));

?>