<?php
class ocmx_three_colum_widget extends WP_Widget {
    /** constructor */
    function ocmx_three_colum_widget() {
        parent::WP_Widget(false, $name = "(Obox) Three Column", array("description" => "Home Page Widget - Lists posts from a specific category."));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
       	// Turn $instance array into variables
        $instance_defaults = array ( 'title' => '', 'post_count' => 3);
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP );
		
		$use_category = $instance["post_category"];
		if(!($instance["post_category"])) :
			$use_catId = 0;
			$cat_title = "no";
		else :
			$use_cat = get_category_by_slug($use_category);
			$catlink = get_category_link($use_cat->term_id);		
			$cat_id = "cat=".$use_cat->term_id."&";
			$the_cat_title = $use_cat->name;
		endif;
		//Set the post Aguments and Query accordingly
		$count = 0;
		$numposts = 0;
		$ocmx_posts = new WP_Query($cat_id."posts_per_page=".$post_count); 
		while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
			$numposts++;
		endwhile; ?>
        
     <div class="content-block">
        <ul class="content three-column">
            <?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
				global $post;
            	$link = get_permalink($post->ID);
                $args  = array( 'postid' => $post->ID, 'width' => 280, 'height' => 140, 'hide_href' => false, 'exclude_video' => true, 'wrap' => 'div', 'wrap_class' => 'post-image fitvid', 'resizer' => '280x140' );
				$image = get_obox_media( $args );
				if($show_images != "on" || $image == "") : $maxlen = 90; else : $maxlen = 75; endif;  ?>
                <li>
                	<?php if($show_images == "on" && $image !="") { echo $image; } ?>
                	<h2 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
                    <?php if($show_dates == "on") : ?><h5 class="date"><?php echo the_time(get_option('date_format')); ?></h5><?php endif; ?>
                    <?php if($show_excerpts == "on") :
                        if($post->post_excerpt != "") :
							echo "<p>".substr(strip_tags($post->post_excerpt), 0, $maxlen)."...</p>";
                        else :
                            the_excerpt("");
                        endif;
                    endif; ?>
					<a href="<?php echo $link; ?>" class="action-link"><?php _e("Read More", "ocmx"); ?></a>                
			    </li>				
            <?php endwhile; ?>
        </ul>
	</div>   
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {		
		// Turn $instance array into variables
        $instance_defaults = array ( 'title' => '', 'post_count' => 3);
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP );
?>
	<p><label for="<?php echo $this->get_field_id('post_category'); ?>">Category</label>
       <select size="1" class="widefat" id="<?php echo $this->get_field_id("post_category"); ?>" name="<?php echo $this->get_field_name("post_category"); ?>">
            <option <?php if(isset($post_category) && $post_category == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
            <?php
                    $category_args = array('hide_empty' => false);
                    $option_loop = get_categories($category_args);
                    foreach($option_loop as $option_label => $value)
                        { 	
                            // Set the $value and $label for the options
                            $use_value =  $value->slug;
                            $label =  $value->cat_name;
                            //If this option == the value we set above, select it
                            if($use_value == $post_category)
                                {$selected = " selected='selected' ";}
                            else
                                {$selected = " ";}
            ?>
                            <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
            <?php 
                        }
            ?>
        </select>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('post_count'); ?>">Post Count</label>
        <select size="1" class="widefat" id="<?php echo $this->get_field_id('post_count'); ?>" name="<?php echo $this->get_field_name('post_count'); ?>">
            <?php $i = 3;
			while($i < 13) :?>
				<option <?php if($post_count == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
			<?php $i=($i+3);
			endwhile; ?>
        </select>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('show_images'); ?>">
            <input type="checkbox" <?php if( isset($show_images) && $show_images == "on" ) : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_images'); ?>" name="<?php echo $this->get_field_name('show_images'); ?>">
            Show Images
        </label>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('show_excerpts'); ?>">
            <input type="checkbox" <?php if( isset($show_excerpts) && $show_excerpts == "on" ) : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_excerpts'); ?>" name="<?php echo $this->get_field_name('show_excerpts'); ?>">
            Show Excerpts
        </label>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('show_dates'); ?>">
            <input type="checkbox" <?php if( isset($show_dates) && $show_dates == "on" ) : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_dates'); ?>" name="<?php echo $this->get_field_name('show_dates'); ?>">
            Show Dates
        </label>
    </p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("ocmx_three_colum_widget");'));

?>